本博客文章标题如未标有转载、转等字匀属本人原创或演绎作品,是采用知识共享署名-非商业性使用-相同方式共享 2.5进行许可,承蒙转摘请保留署名及出处,谢谢! 影评|CSDN博客
摘要:jQuery的DOM选择器或者说查找技术绝对是行业最强大的,它支持CSS1~CSS3选择器,而且在1.2之前版本还支持XPath选择器。根据jQuery1.2更新日志得知,要想在jQuery1.2之后继续使用XPath,可以使用一个独立的兼容插件。关于这点变动,不经常使用或者不习惯使用XPath的网友可能还没有发现,因为目前网上提供的有关jQuery+XPath开发教程几乎都未提供版本变化影响信息,这很容易让人迷惑,所以我在此作简要说明。另外,根据我测试还发现,那个所谓的XPath兼容插件,似乎在jQuery1.3后不起作用,但在1.2~1.3之间的版本中继续有效。 阅读全文
posted @ 2010-01-07 12:20 问道者 阅读 (2364) 评论 (0) 编辑